set msc8144tp_core_regs(core) {
    pc  ;# this is a fake register
}

#Create all the registers
set core_regs(core) {}
foreach mreg $msc8144tp_core_regs(core) {
    addreg $mreg 
}

#Create configuration options
set Stat(inst) 2
set Stat(icnt) 6
set Stat(vname) sc
set Stat(core) "Test Port"
set Stat(reg)  {}
set Stat(size) {}
set Stat(fmt) {}
